// wrapper for invoking casperjs programatically
module.exports = function (grunt, options) {
  "use strict";
  var files = grunt.file.expand(options.files),
    cmds = ['casperjs', 'test'].concat(files),
    spawn = require('./spawn'),
    option,
    casperOptions = options.args;

  for (option in casperOptions) {
    if (casperOptions.hasOwnProperty(option)) {
      cmds.push('--' + option + '=' + casperOptions[option]);
    }
  }

  spawn(grunt, {
    cmds: [cmds],
    succ: options.succ,
    err: options.err
  });
};