// add binding for distance display when route distance/unit changes
define([
    'jquery'
  ],

  function ($) {

    "use strict";

    return function (model, $distance) {
      var $model = $(model);
      $model.on('distanceText', function (e, value) {
        $distance.text(value);
      });
      $distance.fastClick(function () {
        model.toggleUnit();
      });
      $distance.text(model.getDistanceText());
    };
  }
);