// Integrate with addthis
define([
    'jquery',
    'url',
    'Modernizr',
    'log'
  ],

  function (
    $,
    URL,
    Modernizr,
    LOG) {

    "use strict";

    var events = google.maps.event;

    return function (map) {
      if (!URL.params.context && !Modernizr.ioswebapp) {
        window["addthis_config"] = {
          "data_track_clickback": false,
          "data_ga_tracker": ga,
          "ui_hover_direction": -1,
          "data_track_addressbar": false
        };
        window["addthis_share"] = {
          url: "http://onthegomap.com",
          title: "On The Go Map"
        };
        $.getScript("//s7.addthis.com/js/300/addthis_widget.js#domready=1", function () {
          $("html")
            .removeClass("no-addthis")
            .addClass("show-addthis");
          events.trigger(map, 'resize');
          if (window.addthis) {
            window.addthis.addEventListener('addthis.menu.share', function (evt) {
              if (evt.type === 'addthis.menu.share') {
                LOG.social(evt.data.service, 'share', evt.data.url);
              }
            });
          }
        });
      }
    };
  }
);